package cd.casic.module.terminal.host.transfer;


import cn.orionsec.kit.lang.utils.time.Dates;
import lombok.Data;

import java.util.Date;

/**
 * sftp 文件备份参数
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2024/4/15 23:13
 */
@Data
public class SftpFileBackupParams {

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 时间戳
     */
    private Long timestamp;

    /**
     * 当前时间
     */
    private String time;

    public SftpFileBackupParams(String fileName) {
        this.fileName = fileName;
        Date date = new Date();
        this.timestamp = date.getTime();
        this.time = Dates.format(date, Dates.YMD_HMS2);
    }

}
